Subject: Re: [PATCH net-next v10 07/13] net: Add struct kernel_ethtool_ts_info

From: Jakub Kicinski <[email-masked]>
Date: Tue, 9 Apr 2024 18:27:25 -0700

On Tue, 09 Apr 2024 10:26:29 +0200 Kory Maincent wrote:
> In prevision to add new UAPI for hwtstamp we will be limited to the struct
> ethtool_ts_info that is currently passed in fixed binary format through the
> ETHTOOL_GET_TS_INFO ethtool ioctl. It would be good if new kernel code
> already started operating on an extensible kernel variant of that
> structure, similar in concept to struct kernel_hwtstamp_config vs struct
> hwtstamp_config.
> 
> Since struct ethtool_ts_info is in include/uapi/linux/ethtool.h, here
> we introduce the kernel-only structure in include/linux/ethtool.h.
> The manual copy is then made in the function called by ETHTOOL_GET_TS_INFO.

This one now conflicts :(

Applying: net: Add struct kernel_ethtool_ts_info
error: sha1 information is lacking or useless (drivers/net/phy/marvell_ptp.c).
error: could not build fake ancestor
-- 
pw-bot: cr